JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | List of all members
TypeHelpers::ParameterType< Type > Struct Template Reference
juce_core » maths

The ParameterType struct is used to find the best type to use when passing some kind of object as a parameter. More...

`#include <juce_MathsFunctions.h>`

## Public Types
using | type = const Type&

## Detailed Description

template<typename Type>
struct TypeHelpers::ParameterType< Type >

The ParameterType struct is used to find the best type to use when passing some kind of object as a parameter.

Of course, this is only likely to be useful in certain esoteric template situations.

E.g. "myFunction (typename TypeHelpers::ParameterType<int>::type, typename TypeHelpers::ParameterType<MyObject>::type)" would evaluate to "myfunction (int, const MyObject&)", keeping any primitive types as pass-by-value, but passing objects as a const reference, to avoid copying.

## Member Typedef Documentation

## ◆ type

template<typename Type >

using TypeHelpers::ParameterType< Type >::type = const Type&

The documentation for this struct was generated from the following file:

- juce_MathsFunctions.h